/******************************************************************************
*******************************************************************************
*******************************************************************************

    libferris
    Copyright (C) 2001-2005 Ben Martin

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    For more details see the COPYING file in the root directory of this
    distribution.

    $Id: ImageMagickNamespaceGlue.hh,v 1.1 2005/09/12 12:25:17 ben Exp $

*******************************************************************************
*******************************************************************************
******************************************************************************/

#ifndef _ALREADY_INCLUDED_FERRIS_IMAGEMAGICK_NAMESPACE_GLUE_H_
#define _ALREADY_INCLUDED_FERRIS_IMAGEMAGICK_NAMESPACE_GLUE_H_

#include <config.h>
#ifdef HAVE_MAGICK
#include <Magick++.h>

namespace Ferris
{
    /**
     * This whole directory is for glue code. This method allows an
     * image to be loaded from a native path using the read( string )
     * method of ImageMagick++ which may be compiled to use the
     * native compilers std::string instead of STLport::string.
     */
    Magick::Image& readImage( Magick::Image& im, const char* filepath_CSTR );
};

#endif
#endif
