/******************************************************************************
*******************************************************************************
*******************************************************************************

    libferris
    Copyright (C) 2002 Ben Martin

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    For more details see the COPYING file in the root directory of this
    distribution.

    $Id: libastextextern_factory.cpp,v 1.1 2005/12/20 11:44:12 ben Exp $

    *******************************************************************************
    *******************************************************************************
    ******************************************************************************/

#include <FerrisAsTextPlugin.hh>
#include <config.h>

using namespace std;

namespace Ferris
{
#ifdef HAVE_UNRTF
    static bool r1 = RegisterAsTextFromMime( "text/rtf",    "libastextextern.so" );
#endif

#ifdef HAVE_HEVEA
    static bool r2a = RegisterAsTextFromMime( "text/tex",   "libastextextern.so" );
    static bool r2b = RegisterAsTextFromMime( "text/x-tex", "libastextextern.so" );
#endif

#ifdef HAVE_PS2ASCII
    static bool r3 = RegisterAsTextFromMime( "application/postscript",   "libastextextern.so" );
#endif

    static bool r4a = RegisterAsTextFromMime( "application/vnd.oasis.opendocument.text", "libastextextern.so" );
    static bool r4b = RegisterAsTextFromMime( "application/vnd.oasis.opendocument.spreadsheet", "libastextextern.so" );

    static bool r5a = RegisterAsTextFromMime( "application/x-kword",   "libastextextern.so" );
    static bool r5b = RegisterAsTextFromMime( "application/x-kspread", "libastextextern.so" );

};
